For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
              • POSTCreate Locations
              • GETList Locations
              • PUTUpdate Locations
              • DELDelete Locations
                • GETList Metafields
                • POSTCreate Multiple Metafields
                • PUTUpdate Multiple Metafields
                • DELDelete Multiple Metafields
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInventoryLocationsBatch Metafields

Create Multiple Metafields

POST
https://api.bigcommerce.com/stores/:store_hash/v3/inventory/locations/metafields
POST
/stores/:store_hash/v3/inventory/locations/metafields
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/metafields \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "permission_set": "app_only",
> "namespace": "Sales Department",
> "key": "Staff Name",
> "value": "Ronaldo",
> "resource_id": 42
> }
>]'
1{
2 "data": [
3 {
4 "id": 1,
5 "key": "status",
6 "value": "upcoming",
7 "namespace": "headquarters",
8 "permission_set": "app_only",
9 "description": "string",
10 "resource_type": "location",
11 "resource_id": 1,
12 "date_created": "2022-04-14T23:06:45+00:00",
13 "date_modified": "2022-09-08T04:18:55+00:00",
14 "owner_client_id": "asdfasdfasdfasdfasdfasdfasdf"
15 }
16 ],
17 "errors": [],
18 "meta": {
19 "pagination": {
20 "total": 36,
21 "count": 36,
22 "per_page": 50,
23 "current_page": 1,
24 "total_pages": 1,
25 "links": {
26 "previous": "string",
27 "current": "?page=1&limit=50",
28 "next": "string"
29 }
30 }
31 }
32}
Create multiple metafields.
Was this page helpful?
Previous

List Metafields

Next

Update Multiple Metafields

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Store Inventory | read-only | `store_inventory_read_only` | | Store Inventory | modify | `store_inventory` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

permission_setenumRequired

Determines the visibility and writeability of the field by other API consumers.

ValueDescription
app_onlyPrivate to the app that owns the field.
readVisible to other API consumers.
writeOpen for reading and writing by other API consumers.
read_and_sf_accessVisible to other API consumers, including on the storefront.
write_and_sf_accessOpen for reading and writing by other API consumers, including on the storefront.
Allowed values:
namespacestringRequired1-64 characters
Namespace for the metafield, for organizational purposes.
keystringRequired1-64 characters

The name of the field, for example: location_id, color.

valuestringRequired1-65535 characters

The value of the field, for example: 1, blue.

resource_idintegerRequired
The ID of the location with which the metafield is associated.
descriptionstringOptional0-255 characters
Description for the metafields.

Response

List of created Metafield objects. # TODO

datalist of objects
errorslist of any
Empty for 200 responses.
metaobject
Data about the response, including pagination and collection totals.

Errors

400
Bad Request Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.